<?php
class Functions extends Model {

public $conn = null;

	function __construct() {
		parent::Model();
	}
	
	function index()
	{
	}

	function Cz2Ascii($retazec)
	{
		$a = array("á","ä","Á","Ä","č","Č","ď","Ď","ě","ë","Ě","Ë","é","É","í","Í","ĺ","ľ","Ľ","Ĺ","ň","Ň","ó","ö","ô","Ó","Ö","Ô",
			"ř","ŕ","Ř","Ŕ","š","Š","ť","Ť","ú","Ú","ů","Ů","ü","Ü","ý","Ý","ž","Ž");
		$b = array("a","a","A","A","c","C","d","D","e","e","E","E","e","E","i","I","l","l","L","L","n","N","o","o","o","O","O","O",
			"r","r","R","R","s","S","t","T","u","U","u","U","u","U","y","Y","z","Z");
		return $final_str = str_replace($a, $b, $retazec); 
	}

	function MakeCool($str="Ponuka různeho zboží") {  
		return trim(preg_replace('~[^a-z0-9]+~', '-', strtolower($this->Cz2Ascii(preg_replace('~[^\\pL0-9_]+~u', '-', trim($str))))),'-');
	}
	
	function nahodny_text($delka = 0)
	{
		$string = '';
		for ($i = 0; $i < $delka; $i++)
		{
			$rnd = rand(1,35);
			$rnd = ($rnd < 10) ? $rnd+48 : $rnd+55;
			if ($rnd == 79) $rnd++;
			$string .= chr($rnd);
		}
		return $string;
	}
	
	function htmlarrayspecialchars($data = array())
	{
		$res = array();
		foreach($data as $k => $v)
		{
			if(is_array($v))$res[$k] = $this->htmlarrayspecialchars($v);
			else $res[$k] = htmlspecialchars($v);
		}
		return $res;
	}

}
?>
